Extending Qt Creator Manual | DefaultDeployConfiguration

Extending Qt Creator Manual 4.5.2

# DefaultDeployConfiguration Class

(ProjectExplorer::DefaultDeployConfiguration)

Inherits: | ProjectExplorer::DeployConfiguration

- List of all members, including inherited members

## Protected Functions

| DefaultDeployConfiguration(Target *target, Core::Id id)
| DefaultDeployConfiguration(Target *target, DeployConfiguration *source)

- 1 protected function inherited from ProjectExplorer::DeployConfiguration
- 2 protected functions inherited from ProjectExplorer::ProjectConfiguration

### Additional Inherited Members

- 9 public functions inherited from ProjectExplorer::DeployConfiguration
- 13 public functions inherited from ProjectExplorer::ProjectConfiguration
- 1 signal inherited from ProjectExplorer::DeployConfiguration
- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Member Function Documentation

### `[protected]` DefaultDeployConfiguration::DefaultDeployConfiguration(Target *target, Core::Id id)

Default constructs an instance of DefaultDeployConfiguration.

### `[protected]` DefaultDeployConfiguration::DefaultDeployConfiguration(Target *target, DeployConfiguration *source)

Default constructs an instance of DefaultDeployConfiguration.